## org.eclipse.emf.transaction.impl
Class TransactionalEditingDomainImpl.ValidatorFactoryImpl

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.ValidatorFactoryImpl

All Implemented Interfaces:
  TransactionValidator.Factory

Enclosing class:
  TransactionalEditingDomainImpl

    public static class TransactionalEditingDomainImpl.ValidatorFactoryImpl

extends Object
implements TransactionValidator.Factory

Default implementation of the validator factory

Since:
  1.1

Field Summary

Fields inherited from interface org.eclipse.emf.transaction.impl.TransactionValidator.Factory
`INSTANCE`

Constructor Summary
`TransactionalEditingDomainImpl.ValidatorFactoryImpl()`

Method Summary
`TransactionValidator` `createReadOnlyValidator()` Creates and returns a `TransactionValidator` which is used to validate a read write transaction.
`TransactionValidator` `createReadWriteValidator()` Creates and returns a `TransactionValidator` which is used to validate a read only transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionalEditingDomainImpl.ValidatorFactoryImpl

    public TransactionalEditingDomainImpl.ValidatorFactoryImpl()

Method Detail

### createReadOnlyValidator

    public TransactionValidator createReadOnlyValidator()

  Creates and returns a `TransactionValidator` which is used to validate a read write transaction.

  Specified by:
    `createReadOnlyValidator` in interface `TransactionValidator.Factory`
  Returns:
    the transaction validator that will validate the read write transaction

### createReadWriteValidator

    public TransactionValidator createReadWriteValidator()

  Creates and returns a `TransactionValidator` which is used to validate a read only transaction.

  Specified by:
    `createReadWriteValidator` in interface `TransactionValidator.Factory`
  Returns:
    the transaction validator that will validate the read only transaction

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.